Parameters
JSON body
Request body
application/jsonuserIdstringRequiredUser wire id (cas__user.external_id).
Length: 1–32
blockedbooleanRequiredWhile a block exists (either direction) the 1:1 room is read-only and neither person can start a conversation with or add the other to a group. Existing groups are not affected.
JSON body
userIdstringRequiredUser wire id (cas__user.external_id).
blockedbooleanRequired1 status code documented
blockedbooleanRequired{
"blocked": false
}POST /bff/team-chat/block
curl -X POST "https://api.bizkithub.com/bff/team-chat/block" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"userId": "example_userId",
"blocked": false
}'All BizKitHub public API endpoints require authentication via API key.